# -*- coding: utf-8 -*-
# @Time : 2022/7/21 15:28
# @Author : wangyinghao
# @File : api_test_plan.py
# @Software: PyCharm
from django import forms


class ApiTestPlanForm(forms.Form):
    api_test_plan_name = forms.CharField(max_length=100,
                                         min_length=2,
                                         required=True,
                                         error_messages={'required': "API测试计划名称不能为空"})

    api_test_plan_describe = forms.CharField(required=False)

    cases = forms.CharField(required=False)
    api_management_id = forms.CharField(required=False)
    api_send_email = forms.CharField(required=False)
    api_send_enterprise_wechat = forms.CharField(required=False)
    api_environment_id = forms.CharField(required=False)
    database_id = forms.CharField(required=False)

    timing_task_status = forms.CharField(required=False)
    end_time = forms.CharField(required=False)
    starting_time = forms.CharField(required=False)
    time_interval_day = forms.CharField(required=False)
    time_interval_minutes = forms.CharField(required=False)
    time_interval_hours = forms.CharField(required=False)
    time_interval_seconds = forms.CharField(required=False)
